/*        
        High Level Functions for Spreadsheet DDE
*/


/* Ensure that C++ modules use the right linking conventions when calling
   functions contained in C. */
#ifdef __cplusplus
    extern /*MSG0*/"C" {
#endif



/* Global Function Prototypes for spreadsh.c */

void AppType(int ss_type);
int RequestRealArray(PDDE pdde, ads_real *pReal, UINT Row, UINT Col,
                 UINT nRow, UINT nCol);
int ReqCellData(PDDE pdde, ads_real *pReal, UINT Row, UINT Col);
int PokeRealArray(PDDE pdde, ads_real *pReal, UINT Row, UINT Col,
                  UINT nRow, UINT nCol);
int PokeList(PDDE pdde, PLINK TextLink, UINT Row, UINT Col,
              UINT nRow, UINT nCol);
int PokeReal(PDDE pdde, ads_real Real, UINT Row, UINT Col);
VOID CellRef(char *CellRefStr, UINT Row, UINT Col);
VOID CellRange(char *CellItem, UINT Row, UINT Col,
               UINT nRow, UINT nCol);
VOID CellItemName(char *CellItem, UINT Row, UINT Col);
int GetCellRange(char *CellItem, UINT *Row, UINT *Col,
                 UINT *nRow, UINT *nCol);
VOID GetCellNum(char *CellStr, UINT *Row, UINT *Col);
VOID GetCellDim(PHDATA DataStrm, UINT *nRow, UINT *nCol);




#ifdef __cplusplus
    }
#endif






