/*   AME.DCL
     Copyright (C) 1991-1992 by Autodesk, Inc.

     Permission to use, copy, modify, and distribute this software
     for any purpose and without fee is hereby granted, provided
     that the above copyright notice appears in all copies and that
     both that copyright notice and this permission notice appear in
     all supporting documentation.

     THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
     WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
     PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
*/

/*
 * Next available message number: 125
 */

but_decrease :button{
    label = /*MSG0*/"-";
    fixed_width = true;
    is_tab_stop = false;
}
but_increase :button{
    label = /*MSG0*/"+";
    fixed_width = true;
    is_tab_stop = false;
}
dia_massp :dialog{
    label = /*MSG1*/"Mass Properties";
    initial_focus = /*MSG0*/"accept";
    :column{
        :row{
            :list_box{
                key = /*MSG0*/"mass_list";
                horizontal_margin = tiny;
                vertical_margin = tiny;
                allow_accept = false;
                width = 68;
            }
        }
        :row{
            key = /*MSG0*/"action_items";
            fixed_width = true;
            sub_decomp;
            :row{
                fixed_height = true;
                spacer_1;
                sub_subdiv;
                spacer_1;
                :button{
                    key = /*MSG0*/"redo";
                    label = /*MSG2*/"Recompute";
                    mnemonic =  /*MSG3*/"C";
                    fixed_width = true;
                }
                spacer_1;
                :button{
                    key = /*MSG0*/"file";
                    label = /*MSG4*/"File...";
                    mnemonic = /*MSG5*/"F";
                    fixed_width = true;
               }
            }
        }
        ok_cancel_help;
        errtile;
    }
}
dia_material :dialog{
    label = /*MSG6*/"Materials Browser";
    :row{
        :button{
            label = /*MSG7*/"File...";
            key = /*MSG0*/"mat_getfname";
            mnemonic = /*MSG8*/"F";
        }
        :text{
            label = /*MSG0*/"acad.mat";
            fixed_width = true;
            key = /*MSG0*/"mat_currfname";
            width = 12;
        }
        :boxed_column{
            :column{
                :text{
                    key =  /*MSG0*/"solmatcurr";
                    label = /*MSG9*/"Current Material:";
                    is_bold = true;
                }
                sub_matcurr;
            }
            :text{
                key = /*MSG0*/"solmatcurr_desc";
                width = 40;
            }
        }
    }
    :row{
        key = /*MSG0*/"mat_h1";
        :column{
            key = /*MSG0*/"clu_filelis";
            fixed_width = true;
            fixed_height = true;
            :text{
                label = /*MSG10*/"Materials in File";
                is_bold = true;
                fixed_width = true;
                width = 25;
            }
            :lis_material{
                key = /*MSG0*/"lis_in_file";
            }
        }
        :column{
            key = /*MSG0*/"buttons_1";
            spacer_1;
            :button{
                key = /*MSG0*/"mat_new";
                label = /*MSG11*/"New...";
                mnemonic = /*MSG12*/"N";
            }
            :button{
                key = /*MSG0*/"mat_load";
                label = /*MSG13*/"Load >";
                mnemonic = /*MSG14*/"L";
            }
            :button{
                key =  /*MSG0*/"mat_save";
                label = /*MSG15*/"< Save";
                mnemonic = /*MSG16*/"S";
            }
            :button{
                key = /*MSG0*/"mat_remove";
                label = /*MSG17*/"Remove";
                mnemonic = /*MSG18*/"R";
            }
            :button{
                key = /*MSG0*/"mat_set";
                label = /*MSG19*/"Set";
                mnemonic = /*MSG20*/"t";
            }
            :button{
                key = /*MSG0*/"mat_edit";
                label = /*MSG21*/"Edit...";
                mnemonic = /*MSG22*/"E";
            }
            :button{
                key = /*MSG0*/"mat_change";
                label = /*MSG23*/"Change";
                mnemonic = /*MSG24*/"C";
            }
        }
        :column{
            key = /*MSG0*/"clu_dwglis";
            fixed_height = true;
            :text{
                label = /*MSG25*/"Materials in Drawing";
                is_bold = true;
                width = 25;
                fixed_width = true;
            }
            :lis_material{
                key = /*MSG0*/"lis_in_dwg";
            }
        }
    }
    :row{
        key = /*MSG0*/"mat_h2";
        :text{
            key = /*MSG0*/"mat_transient_des";
            width = 40;
            label = /*MSG26*/"Transient material description";
        }
    }
    ok_cancel_help;
}
dia_matprops :dialog{
    label = /*MSG27*/"Material Properties";
    key =  /*MSG0*/"matprops_title";
    :column{
        key = /*MSG0*/"mat_h2";
        fixed_width = true;
        fixed_height = true;
        :edit_box{
            label = /*MSG28*/"Material Name ";
            mnemonic = /*MSG29*/"M";
            key = /*MSG0*/"mat_edit_name";
            width = 60;
            edit_width = 45;
            fixed_width = true;
        }
        :edit_box{
            label = /*MSG30*/"Description   ";
            mnemonic = /*MSG31*/"D";
            key = /*MSG0*/"mat_edit_desc";
            width = 60;
            edit_width = 45;
            fixed_width = true;
        }
        :column{
            :list_box{
                label = /*MSG32*/"Properties";
                key = /*MSG0*/"mat_proplist";
                edit_width = 60;
                fixed_height = true;
                width = 60;
                height = 8;
            }
        }
        :row{
            key = /*MSG0*/"clu_prop_edit";
            fixed_width = true;
            alignment = centered;
            :edit_box{
                key = /*MSG0*/"mat_edit_prop";
                label = /*MSG33*/"Value";
                mnemonic = /*MSG34*/"V";
                fixed_width = true;
                edit_width = 15;
            }
            :text{
                alignment = top;
                key = /*MSG0*/"matprop_unit";
                width = 15;
            }
        }
    }
    errtile;
    ok_cancel;
}
dia_solvar :dialog{
    key = /*MSG0*/"solamever";
    :row{
        key = /*MSG0*/"var_h1";
        :column{
            key = /*MSG0*/"graphics";
            :row{
                key = /*MSG0*/"graphics_1";
                :boxed_radio_column{
                    label = /*MSG35*/"Display";
                    key = /*MSG0*/"soldisplay";
                    horizontal_margin = tiny;
                    :radio_button{
                        label = /*MSG36*/"Mesh";
                        mnemonic =  /*MSG37*/"M";
                        key =  /*MSG0*/"soldisplay_mesh";
                        fixed_height = false;
                    }
                    :radio_button{
                        key =  /*MSG0*/"soldisplay_wire";
                        label = /*MSG38*/"Wire";
                        mnemonic =  /*MSG39*/"W";
                        fixed_height = false;
                    }
                }
                :boxed_radio_column{
                    key =  /*MSG0*/"solrender";
                    label =  /*MSG40*/"Render";
                    :radio_button{
                        key =  /*MSG0*/"solrender_csg";
                        label =  /*MSG41*/"CSG";
                        mnemonic =  /*MSG42*/"C";
                    }
                    :radio_button{
                        key =  /*MSG0*/"solrender_uniform";
                        label =  /*MSG43*/"Uniform";
                        mnemonic =  /*MSG44*/"f";
                    }
                }
            }
            :column{
                key =  /*MSG0*/"graphics_2";
                alignment = left;
                fixed_width = true;
                :pro_integer{
                    key =  /*MSG0*/"solwdens";
                    label =  /*MSG45*/"Wire Density";
                    mnemonic =  /*MSG46*/"r";
                    alignment = centered;
                    :but_increase{
                        key =  /*MSG0*/"solwdens_raise";
                        parent =  /*MSG0*/"solwdens";
                    }
                    :edb_integer{
                        key =  /*MSG0*/"solwdens_edit";
                        parent =  /*MSG0*/"solwdens";
                        low =  /*MSG0*/"1";
                        high =  /*MSG0*/"12";
                        edit_width = 2;
                    }
                    :but_decrease{
                        key =  /*MSG0*/"solwdens_lower";
                        parent =  /*MSG0*/"solwdens";
                    }
                }
            }
            // Upgrade button.
            spacer_1;
            :column{
                :toggle{
                    label =  /*MSG47*/"Upgrade Solids";
                    mnemonic =  /*MSG48*/"o";
                    key = /*MSG0*/"solupgrade";
                }
            }
            spacer_1;
            :boxed_column{
                key =  /*MSG0*/"entity";
                label =  /*MSG49*/"Entity";
                fixed_width = true;
            // popup list for soldelent
                :text{
                    label =  /*MSG50*/"Deletion";
                    mnemonic =  /*MSG51*/"D";
                    is_bold = true;
                }
                :popup_list{
                    key =  /*MSG0*/"soldelent";
                    edit_width = 10;
                    value =  /*MSG0*/"0";
                    fixed_width = true;
                }
            // popuplist for solsolidify
                :text{
                    label =  /*MSG52*/"Solidify";
                    mnemonic =  /*MSG53*/"y";
                    is_bold = true;
                }
                :popup_list{
                    key =  /*MSG0*/"solsolidify";
                    edit_width = 10;
                    value =  /*MSG0*/"0";
                    fixed_width = true;
                }
            }
        }
        :column{
            key =  /*MSG0*/"var_h1_v2";
            :column{
                key =  /*MSG0*/"system";
                fixed_height = true;
                :column{
                    fixed_width = true;
                    :text{
                        label =  /*MSG54*/"Messages";
                        mnemonic =  /*MSG55*/"g";
                        is_bold = true;
                        key =  /*MSG0*/"solservmsg_title";
                    }
                    :popup_list{
                        key =  /*MSG0*/"solservmsg";
                        edit_width = 10;
                        value =  /*MSG0*/"0";
                        fixed_width = true;
                    }
                    :text{
                        key =  /*MSG0*/"solsectype_title";
                        label =  /*MSG56*/"Section";
                        mnemonic =  /*MSG57*/"S";
                        is_bold = true;
                    }
                    :popup_list{
                        key =  /*MSG0*/"solsectype";
                        edit_width = 10;
                        value =  /*MSG0*/"0";
                        fixed_width = true;
                    }
                    :text{
                        key =  /*MSG0*/"solamecomp_title";
                        label =  /*MSG58*/"Compatibility";
                        mnemonic =  /*MSG59*/"b";
                        is_bold = true;
                    }
                    :popup_list{
                        key =  /*MSG0*/"solamecomp";
                        edit_width = 10;
                        value =  /*MSG0*/"0";
                        fixed_width = true;
                    }
                }
                :pro_integer{
                    key =  /*MSG0*/"solpagelen";
                    label =  /*MSG60*/"Page Length";
                    mnemonic =  /*MSG61*/"P";
                    horizontal_margin = tiny;
                    vertical_margin = tiny;
                    :but_increase{
                        key =  /*MSG0*/"solpagelen_raise";
                        parent =  /*MSG0*/"solpagelen";
                    }
                    :edb_integer{
                        key =  /*MSG0*/"solpagelen_edit";
                        parent =  /*MSG0*/"solpagelen";
                        low =  /*MSG0*/"0";
                        high =  /*MSG0*/"1000";
                        edit_width = 4;
                    }
                    :but_decrease{
                        key =  /*MSG0*/"solpagelen_lower";
                        parent =  /*MSG0*/"solpagelen";
                    }
                }
            }
            :row{
                key =  /*MSG0*/"var_h1_v2_h2";
                :column{
                    key =  /*MSG0*/"var_buts";
                    :button{
                        key =  /*MSG0*/"but_units";
                        label =  /*MSG62*/"Units...";
                        mnemonic =  /*MSG63*/"U";
                        fixed_width = true;
                    }
                    :button{
                        key =  /*MSG0*/"but_hatch";
                        label =  /*MSG64*/"Hatch Parameters...";
                        mnemonic =  /*MSG65*/"P";
                        fixed_width = true;
                    }
                    :button{
                        key =  /*MSG0*/"but_others";
                        label =  /*MSG66*/"Other Parameters...";
                        mnemonic =  /*MSG67*/"O";
                        fixed_width = true;
                        vertical_margin = tiny;
                        horizontal_margin = tiny;
                    }
                }
            }
        }
    }
    spacer_1;
    ok_cancel_help;
    errtile;
}
dia_solvar_axcol :dialog{
    label =  /*MSG68*/"Select Color";
    initial_focus =  /*MSG0*/"edit_col";
    :column{
        :column{
            image_block;
            :list_box{
                key =  /*MSG0*/"list_col";
                allow_accept = true;
            }
            :textbox{
                key = /*MSG0*/"edit_col";
                allow_accept = true;
                label =  /*MSG69*/"Color code";
                mnemonic =  /*MSG70*/"C";
                edit_width = 10;
                fixed_width = true;
            }
        }
        ok_cancel;
        errtile;
    }
}

dia_solvar_hpat:dialog{
    label =  /*MSG71*/"Hatch Parameters";
    :column{
        key = /*MSG0*/"var_hparams";
        children_alignment = centered;
        :edit_box{
            key =  /*MSG0*/"solhpat";
            label =  /*MSG72*/"Name ";
            mnemonic =  /*MSG73*/"N";
            edit_width = 10;
            fixed_width = true;
        }
        :edit_box{
            key =  /*MSG0*/"solhangle";
            label =  /*MSG74*/"Angle";
            mnemonic =  /*MSG75*/"A";
            edit_width = 10;
            fixed_width = true;
        }
        :edit_box{
            key =  /*MSG0*/"solhsize";
            label =  /*MSG76*/"Size ";
            mnemonic =  /*MSG77*/"S";
            edit_width = 10;
            fixed_width = true;
        }
    }
    ok_cancel;
    errtile;
}
// Added dialog for remainder -- temporary.
dia_other_vars:dialog{
    label =  /*MSG78*/"Other Parameters";
    :column{
        key =  /*MSG0*/"var_hparams";
        :row{
            :boxed_column{
                key =  /*MSG0*/"var_massp";
                label =  /*MSG79*/"Mass Properties";
                fixed_width = true;
                fixed_height = true;
                sub_decomp;
                sub_subdiv;
            }
            :column{
                key =  /*MSG0*/"var_axcol";
                fixed_width = true;
                fixed_height = true;
                :boxed_row{
                    alignment = centered;
                    fixed_width = true;
                    label =  /*MSG80*/"Axis Color";
                    :image_button{
                        key =  /*MSG0*/"solaxcol";
                        boxed = true;
                        allow_accept = true;
                        fixed_height = true;
                        fixed_width = true;
                        is_tab_stop = false;
                        alignment = centered;
                        width = 15;
                        height =1;
                    }
                }
                spacer_1;
                :boxed_column{
                    label =  /*MSG81*/"Current Material (read only)";
                    key =  /*MSG0*/"var_material";
                    fixed_height = true;
                    sub_matcurr;
                }
            }
        }
    }
    ok_cancel;
    errtile;
}
// End "Others" dialog.
dia_solvar_unt :dialog{
    label =  /*MSG82*/"Units";
    :column{
        key =  /*MSG0*/"var_unit";
        children_alignment = centered;
        :edit_box{
            key =  /*MSG0*/"sollength";
            label =  /*MSG83*/"Length";
            mnemonic =  /*MSG84*/"L";
            edit_width = 10;
            fixed_width = true;
            value =  /*MSG0*/"";
        }
        :edit_box{
            key =  /*MSG0*/"solareau";
            label =  /*MSG85*/"Area  ";
            mnemonic =  /*MSG86*/"A";
            edit_width = 10;
            fixed_width = true;
            value =  /*MSG0*/"";
        }
        :edit_box{
            key =  /*MSG0*/"solvolume";
            label =  /*MSG87*/"Volume";
            mnemonic =  /*MSG88*/"V";
            edit_width = 10;
            fixed_width = true;
            value =  /*MSG0*/"";
        }
        :edit_box{
            key =  /*MSG0*/"solmass";
            label =  /*MSG89*/"Mass  ";
            mnemonic =  /*MSG90*/"M";
            edit_width = 10;
            fixed_width = true;
            value =  /*MSG0*/"";
        }
        :toggle{
            label =  /*MSG91*/"Consistent Units";
            mnemonic =  /*MSG92*/"C";
            key =  /*MSG0*/"consistent";
            fixed_width = true;
        }
    }
    ok_cancel;
    errtile;
}
dia_version :dialog{
    label =  /*MSG93*/"Info";
    :column{
        :text{
            label =  /*MSG94*/"Advanced Modeling Extension";
            is_bold = true;
        }
        :text{
            key =  /*MSG0*/"solamever";
            value =  /*MSG0*/"";
            label =  /*MSG95*/"version ";
        }
    }
    :row{
        fixed_height = true;
        :ok_button{
        }
    }
}
edb_integer :edit_box{
    fixed_width = true;
}
lis_material:list_box{
    width = 25;
    value =  /*MSG0*/"";
    height = 10;
    fixed_width = true;
    multiple_select = true;
}
pro_integer :boxed_row{
    fixed_width = true;
    fixed_height = true;
    vertical_margin = narrow;
    horizontal_margin = none;
}
rad_X :radio_button{
    label =  /*MSG96*/"Along X";
    mnemonic =  /*MSG97*/"X";
}
rad_Y :radio_button{
    label =  /*MSG98*/"Along Y";
    mnemonic =  /*MSG99*/"Y";
}
rad_Z :radio_button{
    label =  /*MSG100*/"Along Z";
    mnemonic =  /*MSG101*/"Z";
}
rad_always :radio_button{
    label =  /*MSG102*/"Always";
}
rad_ask :radio_button{
    label = /*MSG103*/"Ask";
}
rad_never :radio_button{
    label =  /*MSG104*/"Never";
}
sub_decomp :boxed_radio_column{
    label =  /*MSG105*/"Decomposition";
    key =  /*MSG0*/"soldecomp";
    fixed_height = true;
    :rad_X{
        key =  /*MSG0*/"soldecomp_x";
        fixed_height = false;
    }
    :rad_Y{
        key =  /*MSG0*/"soldecomp_y";
        fixed_height = false;
    }
    :rad_Z{
        key =  /*MSG0*/"soldecomp_z";
        fixed_height = false;
    }
}
sub_matcurr :text{
    key =  /*MSG0*/"solmatcurr_name";
    fixed_width = true;
    width = 28;
}
sub_subdiv :pro_integer{
    key =  /*MSG0*/"solsubdiv";
    label =  /*MSG106*/"Divisions";
    mnemonic =  /*MSG107*/"n";
    is_bold = true;
    horizontal_margin = tiny;
    vertical_margin = tiny;
    :but_increase{
        key =  /*MSG0*/"solsubdiv_raise";
        parent =  /*MSG0*/"solsubdiv";
    }
    :edb_integer{
        key =  /*MSG0*/"solsubdiv_edit";
        low =  /*MSG0*/"1";
        high =  /*MSG0*/"8";
        parent =  /*MSG0*/"solsubdiv";
        edit_width = 1;
    }
    :but_decrease{
        key =  /*MSG0*/"solsubdiv_lower";
        parent =  /*MSG0*/"solsubdiv";
    }
}
textbox :edit_box{
    vertical_margin = tiny;
    horizontal_margin = tiny;
}

ddsolprm  :  dialog {

         aspect_ratio = 0;
         label =  /*MSG108*/"AME Primitives";
         : text
          {
          label =  /*MSG109*/"Create Solid Primitive";
          alignment = centered;
          initial_focus =  /*MSG0*/"Boxpic";
          }

  :row{
      : column {
        children_alignment = centered;
         : image_button{
            key          =  /*MSG0*/"Boxpic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{
            label     =  /*MSG110*/"Box";
            alignment = centered;
         }

         : image_button{
            key          =  /*MSG0*/"Conepic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{
            label     =  /*MSG111*/"Cone";
            alignment = centered;
         }
      }

      : column {
        children_alignment = centered;
         : image_button{
            key          =  /*MSG0*/"Spherpic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{
            label     =  /*MSG112*/"Sphere";
            alignment = centered;

         }

         : image_button{
            key          =  /*MSG0*/"Cylpic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{

            label     =  /*MSG113*/"Cylinder";
            alignment = centered;

         }
      }

      : column {
        children_alignment = centered;
         : image_button{
            key          =  /*MSG0*/"Wedgepic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{
            label     =  /*MSG114*/"Wedge";
            alignment = centered;

         }

         : image_button{
            key          =  /*MSG0*/"Torpic";
            height       = 5;
            aspect_ratio = 1.25;
            fixed_height = true;
            fixed_width  = true;
            allow_accept = true;
            color        = 0;
         }

         : text{
            label     =  /*MSG115*/"Torus";
            alignment = centered;
         }
      }
   }

   :column{
     alignment = centered;
       :boxed_row{
         label =  /*MSG116*/"Baseplane";
           : radio_column{
               :radio_button{
                  key   =  /*MSG0*/"bspln_on";
                  label =  /*MSG117*/"On";
                  mnemonic =  /*MSG118*/"n";
                  value =  /*MSG0*/"0";
               }
               :radio_button{
                  key   =  /*MSG0*/"bspln_off";
                  label =  /*MSG119*/"Off";
                  mnemonic =  /*MSG120*/"f";
                  value =  /*MSG0*/"1";
               }
           }
           : popup_list{
             key   =  /*MSG0*/"bmode";
             label =  /*MSG121*/"Mode: ";
           }

       }

       : button{
           key    =  /*MSG0*/"snapmd";
           label  =  /*MSG122*/"Object Snap Mode...";
           mnemonic    =  /*MSG123*/"O";
           alignment = centered;
           fixed_width = true;
       }
   }


         spacer_1;

         ok_cancel_help;
}


