/* Next available MSG number is   9 */

//----------------------------------------------------------------------------
//
//   DDRENAME.DCL   Version 1.0
//
//   Copyright (C) 1991-1993 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------
// 
// Corresponding dialogue for DDRENAME.LSP which is an AutoLISP implementation
// of the AutoCAD Rename command with wildcard support and a dialogue
// interface.
// 
//----------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }


ddrename : dialog {
    label = /*MSG1*/"Rename";
    : row {
        : column {
            : list_box {
                label = /*MSG2*/"Named Objects";
                key = "tables";
                width = 12;
                height = 8;
                mnemonic = /*MSG6*/"N";
            }
        }
        : column {
            : list_box {
                label = /*MSG7*/"Items";
                key = "table_items";
                width = 25;
                height = 8;
                multiple_select = true;
                mnemonic = /*MSG8*/"I";
            }
        }
    }
    : column {
        : edit_box { 
            label = /*MSG3*/"Old Name:";
            key = "old";
            mnemonic = /*MSG4*/"O";
            edit_width = 31;
            edit_limit = 31;
        }
        : row {
            : button {
                label = /*MSG5*/"Rename To:";
                key = "rename";
                mnemonic = /*MSG0*/"R";
            }
            : edit_box { 
                label = "";
                key = "new";
                edit_width = 31;
                edit_limit = 31;
            }
        }
    }
    spacer_1;
    ok_cancel_help_errtile;
}

