/* Next available MSG number is  10 */

//----------------------------------------------------------------------------
//
//   DDUCSP.DCL   Version 1.0
//
//   Copyright (C) 1991-1993 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------
//
//  Dducsp.dcl - Ucs presets selection dialogue.
//
//----------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

dducsp : dialog {
  aspect_ratio = 0;
  label = /*MSG1*/"UCS Orientation";
  initial_focus = "ucsp_front";
  : row {
    : column {
      : image_button {
        key = "ucsp_world";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_left";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_cview";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = "ucsp_top";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_front";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_bottom";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
    : column {
      : image_button {
        key = "ucsp_back";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_right";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
      : image_button {
        key = "ucsp_prev";
        width = 7;
        aspect_ratio = 1.0;
        color = 0;
        allow_accept = true;
      }
    }
  }
  : row {
    : radio_column {
      : radio_button {
        label = /*MSG2*/"Relative to Current UCS";
        mnemonic = /*MSG3*/"R";
        key = "ucsp_r_ucs";
      }
      : radio_button {
        label = /*MSG4*/"Absolute to WCS";
        mnemonic = /*MSG5*/"A";
        key = "ucsp_a_wcs";
      }
    }
  }
  ok_cancel_help_errtile;
}
