/*      

        OPTIONS.H

        Include this first in Windows DDE modules

*/

#define WIN 1
#ifndef _WINDOWS
#define _WINDOWS 1
#endif
#include <windows.h>
#define near                          /* not used */

#ifndef DEBUG
#define NDEBUG 1
#endif
#include <assert.h>

/* Spreadsheet Default */
#define EXCEL 1
/* #define LOTUS 1 */

#define ADVISEFLAG 1                  /* Default to warm link automatic
                                         update instead of manual */    
#define USE_DDEDLG 1                  /* Use dialog code to get app & topic */  

/* DDE inclusion switches */

#define REQROWS 150                   /* Number of rows to request
                                         during DDE block requests */
#define DDEXFER 0x2000                /* max number of bytes to send in
                                         one DDE transfer. */
#define ENTSTRMAX 256                 /* arbitrary protection limit for near 
                                         end of buffer zone.  Should be able
                                         to hold the largest entity converted 
                                         to clipboard TEXT format */
#define USE_GLOBAL 1                  /* Use GlobalAlloc for large alloc's */   
#define INCL_ALL  0                   /* All code included, some of
                                         which is not used at this time. */
#define DATAWAIT 12000
#define ACKWAIT  12000


#define CELLMAX 20                    /* Maximum length of string defining
                                         a range of cells */


/* maximum DDE channels, or application/topics 
   To prevent too many windows from being created
   by a remote application, limit channel number. */
#define MAXCHNL 32
#define MAPLEN (MAXCHNL/BITWORDLEN)

typedef char far *PHDATA;             /* used for malloc'ing huge data that
                                         could exceed 64k */    
typedef unsigned short USHORT;
typedef unsigned int UINT;
typedef unsigned long ULONG;


