/* TBOX.H -- Global Toolbox Functions */

/* Ensure that C++ modules use the right linking conventions when calling
   functions contained in C. */
#ifdef __cplusplus
    extern /*MSG0*/"C" {
#endif


int tboxInit(HANDLE Inst, HWND hwnd);
tboxLocked(HWND hwnd, int index);
tboxFloat(HWND hwnd, int index);
tboxText(HWND hwnd, int index);
int tboxDraw(HWND hwndOwner, int index, int style, int width, 
	int nxtool, int top, int right, int textmode);
void tboxQuitAll(void);
void tboxQuit(int index);
int tboxFind(HWND hwnd);
void tboxPosAll();
void tboxPos(int index);


#ifdef __cplusplus
    }
#endif
