@echo In this batch file WINMAKE.BAT be sure the environment variable
@echo MSC6 is set to point to wherever you installed Microsoft C 6.0.
@echo
@echo Note that the environment variables LIB and INCLUDE assume the
@echo Windows SDK libraries and include files have been installed in
@echo MSC6\wlib and MSC6\winc.  Your setup may vary, in which case 
@echo you will need to modify LIB and INCLUDE in this batch file.
@echo
@echo The make file used in this batch file, winads.mak, assumes you
@echo are using version 6.00AX of Microsoft C, which supports the
@echo compiler flag -EM which allows builds of larger modules.  If
@echo you do not have version 6.00AX and are not compiling large
@echo modules then you may remove the -EM switch from winads.mak.
@echo
@echo If, when linking, you find you are missing llibcew.lib, then
@echo you need to install the Windows large model library from the
@echo Windows SDK.

set MSC6=c:\msc6
set savpath=%path%
set savlib=%lib%
set savinc=%include%
set path=%MSC6%\bin;%MSC6%\binb;%path%
set lib=%MSC6%\lib;%MSC6%\wlib
set include=%MSC6%\include;%MSC6%\winc

nmk -f winads.mak %1

set path=%savpath%
set lib=%savlib%
set include=%savinc%
set savpath=
set savlib=
set savinc=
set MSC6=
