/* Next available MSG number is  23 */
 
//    DBTRANS.DCL      Version 1.0
//
//    Copyright (C) 1991-1993 by Autodesk, Inc.
//         
//    Permission to use, copy, modify, and distribute this software 
//    for any purpose and without fee is hereby granted, provided 
//    that the above copyright notice appears in all copies and that 
//    both that copyright notice and this permission notice appear in 
//    all supporting documentation.
//
//    THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//    WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//    PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
  

dbtrans : dialog {
    aspect_ratio = 0;
    label = /*MSG1*/"Translate Database Text Format";
    layout = vertical;
    : row {
        : boxed_column {
            label = /*MSG2*/"Source Format";
            : popup_list {
                label = /*MSG3*/"Platform";
                key = "popup_source"; 
                list = /*MSG19*/"All";
                width = 30;
            }
            : list_box {
                label = /*MSG4*/"Code Page";
                key = "list_source";
            }
        }
        : boxed_column {
            label = /*MSG5*/"Target Format";
            : popup_list {
                label = /*MSG6*/"Platform";
                key = "popup_target";
                list = /*MSG20*/"All";
                width = 30;
            }
            : list_box {
                label = /*MSG21*/"Code Page";
                key = "list_target";
            }
        }
    }
    : row {
        : boxed_column {
            label = /*MSG7*/"Apply Translation To";
            width = 34;
            : row {
                : toggle {
                    label = /*MSG8*/"Drawing data";
                    key = "toggle_dwgdata";
                }
                : toggle {
                    label = /*MSG9*/"Application data";
                    key = "toggle_appdata";
                }
            }
            : button {
                label = /*MSG10*/"Preview...";
                key = "button_preview";
            }
        }
        : boxed_column {
            label = /*MSG11*/"Code Page Tables";
            width = 34;
            : edit_box {
                label = /*MSG12*/"File"; 
                key = "edit_file";
                mnemonic = /*MSG13*/"F";
            }
            : button {
                label = /*MSG22*/"Load tables...";
                mnemonic = /*MSG14*/"L";
                key = "button_tables";
            }
        }
    }
    ok_cancel_help;
    errtile;
}

dbtrans_preview : dialog {
    label = /*MSG15*/"Text Format Translation Preview";
    aspect_ratio = 0;
    layout = vertical;
    : list_box {
        label = /*MSG16*/"Translated Non-ASCII Text";
        key = "list_text";
        width = 70;
        height = 10;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        : retirement_button {
            label = /*MSG17*/"Next Page";
            key = "button_more";
        }
    }
    errtile;
}

msgbox : dialog {
    label = /*MSG18*/"DBTRANS Alert";
    key = "label_msgbox";
    aspect_ratio = 0;
    layout = vertical;
    : list_box {
        key = "list_alert";
        width = 70;
        height = 5;
    }
    ok_button;
}
