/* Next available MSG number is  18 */

//----------------------------------------------------------------------------
//
//   DDGRIPS.DCL   Version 1.0
//
//   Copyright (C) 1991-1993 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------


dcl_settings : default_dcl_settings { audit_level = 0; }


ddgrips : dialog {
    label = /*MSG1*/"Grips";
    : boxed_column {
        label = /*MSG2*/"Select Settings";
        : toggle {
            label = /*MSG3*/"Enable Grips";
            key = "grips";
            mnemonic = /*MSG4*/"E";
            fixed_width = true;
        }
        : toggle {
            label = /*MSG5*/"Enable Grips Within Blocks";
            key = "gripblock";
            mnemonic = /*MSG6*/"B";
            fixed_width = true;
        }
    }
    : boxed_column {
         label = /*MSG7*/"Grip Colors";
         : row {
             : column {
                 : button {
                     label = /*MSG8*/"Unselected...";
                     key = "cool_color";
                     mnemonic = /*MSG9*/"U";
                 }
                 : button {
                     label = /*MSG10*/"Selected...";
                     key = "hot_color";
                     mnemonic = /*MSG11*/"S";
                 }
             }
             : column {
                 : image {
                     key = "cool_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
                 : image {
                     key = "hot_image";
                     height = 1;
                     width = 3;
                     fixed_width = true;
                     fixed_height = true;
                 }
             }
             : column {
                 : text {
                     label = /*MSG12*/"Blue";
                     key = "cool_text";
                     width = 11;
                 }
                 : text {
                     label = /*MSG13*/"Red";
                     key = "hot_text";
                     width = 11;
                 }
             }
        }
    }
    : boxed_row {
        label = /*MSG14*/"Grip Size";
        mnemonic = /*MSG17*/"G";
        spacer_0;
       : column {
            spacer_0;
            fixed_width = true;
            : text {
                label = /*MSG15*/"Min         Max";
                alignment = centered;
            }
            : slider {
                key = "grip_slider";
                min_value = 0;
                max_value = 19;
                width = 20;
                height = 1;
                small_increment = 1;
                big_increment = 1;
                fixed_width = true;
                fixed_height = true;
            }
            spacer_0;
        }
        : image {
            key = "grip_image";
            aspect_ratio = 1;
            height = 4;
            width = 7;
            color = -2;
        }
        spacer_0;
    }
    ok_cancel_help;
}


